Summary:	PGF image format plugin for Qt
Name:		pgf-imageformat-qt
Version:	1.0
Release:	2%{?dist}
License:	GPLv2+
URL:		https://copr.fedorainfracloud.org/coprs/vr5/qt-imageformats/
Source0:	pgf-imageformat-qt-1.0.tar.gz
Source1:	pgf-qt.pro
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	qt libpgf xdg-utils
BuildRequires:	qt-devel libpgf-devel

%define debug_package %{nil}

%description 
PGF image format plugin for Qt provides read-only access to PGF images (they can be opened via QImage class, for example)

%prep
%setup -q -n %{name}

%build
qmake-qt4 %{SOURCE1}
make

%install 
install -D libpgf.so $RPM_BUILD_ROOT%{_libdir}/qt4/plugins/imageformats/libpgf.so
install -D xdg-pgf.xml %{buildroot}/usr/share/%{name}-%{version}/xdg-pgf.xml
install -D pgf.desktop $RPM_BUILD_ROOT/usr/share/kde4/services/qimageioplugins/pgf.desktop

%post
xdg-mime install /usr/share/%{name}-%{version}/xdg-pgf.xml

%files 
%defattr(0644,root,root)
%attr(0755,root,root) %{_libdir}/qt4/plugins/imageformats/libpgf.so
/usr/share/%{name}-%{version}/xdg-pgf.xml
/usr/share/kde4/services/qimageioplugins/pgf.desktop

%clean 
rm -rf %{buildroot}

%changelog 
*Tue May 7 2019 Vad Rulezz <vr5@yandex.ru> - 1.0
- Initial Package of pgf-imageformat-qt
